<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Commanders: Commanders Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Commanders
   </div>
   <div id="projectbrief">Arduino buttons/bus library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classCommanders.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="classCommanders-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Commanders Class Reference</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">

<p><code>#include &quot;<a class="el" href="Commanders_8hpp_source.html">Commanders.hpp</a>&quot;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a2e7416f9f706ebccacefc4327d50fce4"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCommanders.html#a2e7416f9f706ebccacefc4327d50fce4">begin</a> (int inStatusLedPin = -1, unsigned int inBlinkDelay = 1000)</td></tr>
<tr class="separator:a2e7416f9f706ebccacefc4327d50fce4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8fb31b11e8f389165cc61b1c8aed45f2"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCommanders.html#a8fb31b11e8f389165cc61b1c8aed45f2">begin</a> (CommandersEventHandlerFunction func, int inStatusLedPin = -1, unsigned int inBlinkDelay = 1000)</td></tr>
<tr class="separator:a8fb31b11e8f389165cc61b1c8aed45f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af717de804be2a30257ca52b987143cc3"><td class="memItemLeft" align="right" valign="top">static unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCommanders.html#af717de804be2a30257ca52b987143cc3">loop</a> ()</td></tr>
<tr class="separator:af717de804be2a30257ca52b987143cc3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adfb7074f73b2259401dec5be4cfaa17d"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490c">COMMANDERS_EVENT_TYPE</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCommanders.html#adfb7074f73b2259401dec5be4cfaa17d">GetLastEventType</a> ()</td></tr>
<tr class="separator:adfb7074f73b2259401dec5be4cfaa17d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0187e8801676544eaa07439e3d2392ca"><td class="memItemLeft" align="right" valign="top">static int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCommanders.html#a0187e8801676544eaa07439e3d2392ca">GetLastEventData</a> ()</td></tr>
<tr class="separator:a0187e8801676544eaa07439e3d2392ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5805415d6f7e358f1b26b34e59fe89ac"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCommanders.html#a5805415d6f7e358f1b26b34e59fe89ac">SetLastEventType</a> (<a class="el" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490c">COMMANDERS_EVENT_TYPE</a> inEvent)</td></tr>
<tr class="separator:a5805415d6f7e358f1b26b34e59fe89ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0885243a075244f75612900460d40ab"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCommanders.html#ac0885243a075244f75612900460d40ab">SetLastEventData</a> (int inData)</td></tr>
<tr class="separator:ac0885243a075244f75612900460d40ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a738b07e45ab42b267023aa41ced99794"><td class="memItemLeft" align="right" valign="top">static uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCommanders.html#a738b07e45ab42b267023aa41ced99794">GetLastConfigAddress</a> ()</td></tr>
<tr class="separator:a738b07e45ab42b267023aa41ced99794"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86d58bbfa5487810b14973c1eb5d75bd"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCommanders.html#a86d58bbfa5487810b14973c1eb5d75bd">StatusBlink</a> ()</td></tr>
<tr class="separator:a86d58bbfa5487810b14973c1eb5d75bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7adbe54da67e90e0d39b58d69ac3add0"><td class="memItemLeft" align="right" valign="top">static unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCommanders.html#a7adbe54da67e90e0d39b58d69ac3add0">RaiseEvent</a> (unsigned long inId, <a class="el" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490c">COMMANDERS_EVENT_TYPE</a> inEvent = COMMANDERS_EVENT_MOVEPOSITIONID, int inData = 0)</td></tr>
<tr class="separator:a7adbe54da67e90e0d39b58d69ac3add0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2153ff5a87528ef0701daa61cd8601a9"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCommanders.html#a2153ff5a87528ef0701daa61cd8601a9">printEventMoveType</a> (<a class="el" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2ba">COMMANDERS_MOVE_TYPE</a> inMoveType)</td></tr>
<tr class="separator:a2153ff5a87528ef0701daa61cd8601a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af67a26985403e912486b851e3b44a6d6"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCommanders.html#af67a26985403e912486b851e3b44a6d6">printEventData</a> (<a class="el" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490c">COMMANDERS_EVENT_TYPE</a> inEventType, int inEventData)</td></tr>
<tr class="separator:af67a26985403e912486b851e3b44a6d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5594e42de65bbf0bff7065c2eaaa3c7e"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCommanders.html#a5594e42de65bbf0bff7065c2eaaa3c7e">printEventType</a> (<a class="el" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490c">COMMANDERS_EVENT_TYPE</a> inEventType, bool inDataFollow)</td></tr>
<tr class="separator:a5594e42de65bbf0bff7065c2eaaa3c7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b8b1bb3a9cb5b419562ddca40471ab8"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCommanders.html#a4b8b1bb3a9cb5b419562ddca40471ab8">printEvent</a> (unsigned long inId, <a class="el" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490c">COMMANDERS_EVENT_TYPE</a> inEventType, int inEventData)</td></tr>
<tr class="separator:a4b8b1bb3a9cb5b419562ddca40471ab8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e4b17238d8bd80bc0813d82c4211cbc"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCommanders.html#a9e4b17238d8bd80bc0813d82c4211cbc">printCommanders</a> ()</td></tr>
<tr class="separator:a9e4b17238d8bd80bc0813d82c4211cbc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a56f9821ce0a39115f26313cbc3fb0870"><td class="memItemLeft" align="right" valign="top">static GPIO_pin_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCommanders.html#a56f9821ce0a39115f26313cbc3fb0870">StatusLedPin</a> = DP_INVALID</td></tr>
<tr class="separator:a56f9821ce0a39115f26313cbc3fb0870"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c5e99e96956bdbaf003b78355a6460b"><td class="memItemLeft" align="right" valign="top">static unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCommanders.html#a8c5e99e96956bdbaf003b78355a6460b">BlinkDelay</a> = 1000</td></tr>
<tr class="separator:a8c5e99e96956bdbaf003b78355a6460b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This is the main class of the library. All data and functions are static. There is no way to instanciate this class.</p>
<p>To handle events from external hardware of buses, there is two ways:</p>
<p>An event handler can be defined. This function will be called as soon as an event is thrown by any commander. The second way is to get event id, type and data from the <a class="el" href="classCommanders.html#af717de804be2a30257ca52b987143cc3">Commanders.loop()</a> function inside the main loop of the sketch.</p>
<p>The two ways cannot be used together... </p>

<p class="definition">Definition at line <a class="el" href="Commanders_8hpp_source.html#l00022">22</a> of file <a class="el" href="Commanders_8hpp_source.html">Commanders.hpp</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a2e7416f9f706ebccacefc4327d50fce4"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void Commanders::begin </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inStatusLedPin</em> = <code>-1</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>inBlinkDelay</em> = <code>1000</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Initialize the instance. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inStatusLedPin</td><td>This pin will start to blink at each event thrown. Default -1 for no status led. </td></tr>
    <tr><td class="paramname">inBlinkDelay</td><td>Blinking delay for the status led. Default is 1000ms. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="Commanders_8hpp_source.html#l00041">41</a> of file <a class="el" href="Commanders_8hpp_source.html">Commanders.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a8fb31b11e8f389165cc61b1c8aed45f2"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void Commanders::begin </td>
          <td>(</td>
          <td class="paramtype">CommandersEventHandlerFunction&#160;</td>
          <td class="paramname"><em>func</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inStatusLedPin</em> = <code>-1</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>inBlinkDelay</em> = <code>1000</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Initialize the instance. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">func</td><td><a class="el" href="structEvent.html">Event</a> handler function called when an event is thrown. </td></tr>
    <tr><td class="paramname">inStatusLedPin</td><td>This pin will start to blink at each event thrown. Default -1 for no status led. </td></tr>
    <tr><td class="paramname">inBlinkDelay</td><td>Blinking delay for the status led. Default is 1000ms. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="Commanders_8hpp_source.html#l00065">65</a> of file <a class="el" href="Commanders_8hpp_source.html">Commanders.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a738b07e45ab42b267023aa41ced99794"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static uint8_t Commanders::GetLastConfigAddress </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Get the last config address used. </p><dl class="section return"><dt>Returns</dt><dd>last config address used. </dd></dl>
<dl class="section remark"><dt>Remarks</dt><dd>Not yet implemented. </dd></dl>

<p class="definition">Definition at line <a class="el" href="Commanders_8hpp_source.html#l00098">98</a> of file <a class="el" href="Commanders_8hpp_source.html">Commanders.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a0187e8801676544eaa07439e3d2392ca"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static int Commanders::GetLastEventData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Get the last event data thrown. </p><dl class="section return"><dt>Returns</dt><dd>Data associated with the last event. </dd></dl>

<p class="definition">Definition at line <a class="el" href="Commanders_8hpp_source.html#l00084">84</a> of file <a class="el" href="Commanders_8hpp_source.html">Commanders.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="adfb7074f73b2259401dec5be4cfaa17d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490c">COMMANDERS_EVENT_TYPE</a> Commanders::GetLastEventType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Get the last event type thrown. </p><dl class="section return"><dt>Returns</dt><dd>Type of the event. </dd></dl>

<p class="definition">Definition at line <a class="el" href="Commanders_8hpp_source.html#l00080">80</a> of file <a class="el" href="Commanders_8hpp_source.html">Commanders.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="af717de804be2a30257ca52b987143cc3"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long Commanders::loop </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Main loop function. This function will call all necessary internal loop functions for each commander activated... </p><dl class="section return"><dt>Returns</dt><dd>Id of the activated item. Use GetLastEvent* functions to get the complete event. </dd></dl>

<p class="definition">Definition at line <a class="el" href="Commanders_8cpp_source.html#l00124">124</a> of file <a class="el" href="Commanders_8cpp_source.html">Commanders.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a9e4b17238d8bd80bc0813d82c4211cbc"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void Commanders::printCommanders </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Print the full list of commanders. The list is printed on the console in a hierachical way, with details like buttons and events. There is also all data (pins, events) associated with each item. </p><dl class="section remark"><dt>Remarks</dt><dd>Only available if <a class="el" href="Commanders_8h.html#a903f43d89a21cb3955b4fac654f6f8e8">COMMANDERS_PRINT_COMMANDERS</a> is defined. </dd></dl>

</div>
</div>
<a class="anchor" id="a4b8b1bb3a9cb5b419562ddca40471ab8"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void Commanders::printEvent </td>
          <td>(</td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490c">COMMANDERS_EVENT_TYPE</a>&#160;</td>
          <td class="paramname"><em>inEventType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inEventData</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Print on the console the given event in plain english. </p><dl class="section remark"><dt>Remarks</dt><dd>Only available if <a class="el" href="Commanders_8h.html#a1fdf52a0fdf8778a4472686eaa278b15">COMMANDERS_DEBUG_MODE</a> or <a class="el" href="Commanders_8h.html#a903f43d89a21cb3955b4fac654f6f8e8">COMMANDERS_PRINT_COMMANDERS</a> is defined. </dd></dl>

</div>
</div>
<a class="anchor" id="af67a26985403e912486b851e3b44a6d6"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void Commanders::printEventData </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490c">COMMANDERS_EVENT_TYPE</a>&#160;</td>
          <td class="paramname"><em>inEventType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inEventData</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Print on the console the given associated data. </p><dl class="section remark"><dt>Remarks</dt><dd>Only available if <a class="el" href="Commanders_8h.html#a1fdf52a0fdf8778a4472686eaa278b15">COMMANDERS_DEBUG_MODE</a> or <a class="el" href="Commanders_8h.html#a903f43d89a21cb3955b4fac654f6f8e8">COMMANDERS_PRINT_COMMANDERS</a> is defined. </dd></dl>

</div>
</div>
<a class="anchor" id="a2153ff5a87528ef0701daa61cd8601a9"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void Commanders::printEventMoveType </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2ba">COMMANDERS_MOVE_TYPE</a>&#160;</td>
          <td class="paramname"><em>inMoveType</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Print on the console the given moving type in plain english. </p><dl class="section remark"><dt>Remarks</dt><dd>Only available if <a class="el" href="Commanders_8h.html#a1fdf52a0fdf8778a4472686eaa278b15">COMMANDERS_DEBUG_MODE</a> or <a class="el" href="Commanders_8h.html#a903f43d89a21cb3955b4fac654f6f8e8">COMMANDERS_PRINT_COMMANDERS</a> is defined. </dd></dl>

</div>
</div>
<a class="anchor" id="a5594e42de65bbf0bff7065c2eaaa3c7e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void Commanders::printEventType </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490c">COMMANDERS_EVENT_TYPE</a>&#160;</td>
          <td class="paramname"><em>inEventType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>inDataFollow</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Print on the console the given type in plain english. </p><dl class="section remark"><dt>Remarks</dt><dd>Only available if <a class="el" href="Commanders_8h.html#a1fdf52a0fdf8778a4472686eaa278b15">COMMANDERS_DEBUG_MODE</a> or <a class="el" href="Commanders_8h.html#a903f43d89a21cb3955b4fac654f6f8e8">COMMANDERS_PRINT_COMMANDERS</a> is defined. </dd></dl>

</div>
</div>
<a class="anchor" id="a7adbe54da67e90e0d39b58d69ac3add0"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long Commanders::RaiseEvent </td>
          <td>(</td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490c">COMMANDERS_EVENT_TYPE</a>&#160;</td>
          <td class="paramname"><em>inEvent</em> = <code>COMMANDERS_EVENT_MOVEPOSITIONID</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inData</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Raise a new event. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inId</td><td>Id of the new event. </td></tr>
    <tr><td class="paramname">inEvent</td><td>Type of the new event. Default is <a class="el" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca4c6e59b277bf1f4430a136faab150a61">COMMANDERS_EVENT_MOVEPOSITIONID</a>. </td></tr>
    <tr><td class="paramname">inData</td><td>Associated data to the event type. Default is 0. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Id of this event. </dd></dl>

<p class="definition">Definition at line <a class="el" href="Commanders_8cpp_source.html#l00027">27</a> of file <a class="el" href="Commanders_8cpp_source.html">Commanders.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="ac0885243a075244f75612900460d40ab"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void Commanders::SetLastEventData </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inData</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Force the data associated with the last event type. </p><dl class="section remark"><dt>Remarks</dt><dd>Undocumented internal function. </dd></dl>

<p class="definition">Definition at line <a class="el" href="Commanders_8hpp_source.html#l00093">93</a> of file <a class="el" href="Commanders_8hpp_source.html">Commanders.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a5805415d6f7e358f1b26b34e59fe89ac"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void Commanders::SetLastEventType </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490c">COMMANDERS_EVENT_TYPE</a>&#160;</td>
          <td class="paramname"><em>inEvent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Force the kind of last event type. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inEvent</td><td>New event type. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section remark"><dt>Remarks</dt><dd>Undocumented internal function. </dd></dl>

<p class="definition">Definition at line <a class="el" href="Commanders_8hpp_source.html#l00089">89</a> of file <a class="el" href="Commanders_8hpp_source.html">Commanders.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a86d58bbfa5487810b14973c1eb5d75bd"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Commanders::StatusBlink </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Start blinking the status led. </p>

<p class="definition">Definition at line <a class="el" href="Commanders_8cpp_source.html#l00018">18</a> of file <a class="el" href="Commanders_8cpp_source.html">Commanders.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="a8c5e99e96956bdbaf003b78355a6460b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int Commanders::BlinkDelay = 1000</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Blinking delay for the status led. </p>

<p class="definition">Definition at line <a class="el" href="Commanders_8hpp_source.html#l00035">35</a> of file <a class="el" href="Commanders_8hpp_source.html">Commanders.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a56f9821ce0a39115f26313cbc3fb0870"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">GPIO_pin_t Commanders::StatusLedPin = DP_INVALID</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>This pin will start to blink at each event thrown. </p>

<p class="definition">Definition at line <a class="el" href="Commanders_8hpp_source.html#l00033">33</a> of file <a class="el" href="Commanders_8hpp_source.html">Commanders.hpp</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>D:/Mes documents/Trusty/Arduino/Libraries/Commanders/src/<a class="el" href="Commanders_8hpp_source.html">Commanders.hpp</a></li>
<li>D:/Mes documents/Trusty/Arduino/Libraries/Commanders/src/<a class="el" href="Commanders_8cpp_source.html">Commanders.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="classCommanders.html">Commanders</a></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:55:02 for Commanders &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
